#!/bin/bash
ALIAS_FIRMA=mhp
CLAVE_PUBLICA=yy9a1jkr
CLAVE_PRIVADA=yy9a1jkr
if (($# > 0)); then
    if [ $1 == '-g' ]; then
        rm -f ~/.keystore
        echo '## keytool -genkey (clave privada = '$CLAVE_PRIVADA'  clave publica = '$CLAVE_PUBLICA')'
        keytool -genkey -alias $ALIAS_FIRMA -keypass $CLAVE_PRIVADA -storepass $CLAVE_PUBLICA
        echo 'Par clave pblica / clave privada almacenado en ~/.keystore'
    else
        echo '## jarsigner'
        LISTA=$*
        # Primero miramos a ver si $1 es un directorio
        cd $1 2> /dev/null
        if (($? == 0)); then
            # Es un directorio. Firmamos todos los JAR que haya dentro
            LISTA=`ls *.jar`
        fi
        for FICHERO in $LISTA; do
            echo $FICHERO
            jarsigner -storepass $CLAVE_PUBLICA -keypass $CLAVE_PRIVADA $FICHERO $ALIAS_FIRMA
        done
        #echo '##### keytool -export (certificado.cer)'
        #keytool -export -alias $ALIAS_FIRMA -file ~/certificado.cer
        echo '## Hecho'
    fi
else
    echo 'Sintaxis: '$0' -g | directorio | fichero.jar ...'
fi
